apply plugin: 'com.android.application'
android {
    compileSdkVersion 28
    defaultConfig {
        applicationId "com.excel.multiflaver"
        minSdkVersion 15
        targetSdkVersion 28
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
        flavorDimensions "default"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    productFlavors {
        flavorDimensions "default"
        sherbet {
            applicationId "driver.sherbet.multiflaver"
            manifestPlaceholders = [appLabel: "Sherbet app", appIcon: "@mipmap/ic_launcher"]
            versionCode 4
            versionName "1.4"
            // buildConfigField "String", "PRIMARYCOLOR", "\"#000000\""
            //buildConfigField "String", "SERVER_URL", "\"http://dev.myserver.com\""
            buildConfigField "String", "BUILD_VARIANT", "\"sherbet\""
        }
        excel {
            applicationId "driver.excel.multiflaver"
            manifestPlaceholders = [appLabel: "Excel app", appIcon: "@mipmap/ic_launcher"]
            versionCode 12
            versionName "1.1.3"
            //buildConfigField "String", "PRIMARYCOLOR", "\"#FFFFFF\""
            //buildConfigField "String", "SERVER_URL", "\"http://dev.myserver.com\""
            buildConfigField "String", "BUILD_VARIANT", "\"excel\""
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'com.android.support:appcompat-v7:28.0.0'
    implementation 'com.android.support:design:28.0.0'
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
}
